Name:		crack-attack
Summary:	Tetris like game
Version:	1.1.10
Release:	6mdk
Url:		http://aluminumangel.org/attack/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Source4:	crack-attack-scripts.tar.bz2
Patch0:		crack-attack-1.1.10-version_id.bz2
Patch1:		%{name}-1.1.8-OpenGL-1.3.patch.bz2
Patch2:		crack-attack-1.1.10-sound_music.patch.bz2
Group:		Games/Arcade
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	Mesa-common-devel SDL_mixer-devel SDL-devel autoconf2.5
Requires:	Xdialog

%description
'Crack Attack!' is a free OpenGL game
based on the Super Nintendo classic Tetris Attack.

%prep
%setup -q -a 4
%patch0 -p1
%patch1 -p1
%patch2 -p0
perl -pi -e "s|^CXXFLAGS.*|CXXFLAGS = $RPM_OPT_FLAGS -DNDEBUG|" src/Makefile*
aclocal
automake -a -c --gnu
WANT_AUTOCONF_2_5=1 autoconf
autoheader

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -D -m 755 crack-attack-{solo,create-server,join-server} $RPM_BUILD_ROOT%{_gamesbindir}/

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): command="%{_gamesbindir}/%{name}-solo" icon="%{name}.png" section="Amusement/Arcade" title="Crack Attack! - Solo" longtitle="Tetris like game base on Tetris Attack" needs="x11"
?package(%{name}): command="%{_gamesbindir}/%{name}-create-server" icon="%{name}.png" section="Amusement/Arcade" title="Crack Attack! - Create Server" longtitle="Tetris like game base on Tetris Attack" needs="x11"
?package(%{name}): command="%{_gamesbindir}/%{name}-join-server" icon="%{name}.png" section="Amusement/Arcade" title="Crack Attack! - Join Server" longtitle="Tetris like game base on Tetris Attack" needs="x11"
EOF

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc doc/*.html doc/*.jpg
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Dec 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.10-6mdk
- use %%{_gamesbindir} and %%{_gamesdatadir}
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Wed Dec 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.10-5mdk
- sounds+music support based on crack-attack-miguev-v05.diff and Pascal
  Terjan's work

* Mon Nov 17 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.10-4mdk
- don't "fix bad version" or else we're not compatible with other
  distros

* Fri Nov 14 2003 Olivier Blin <oliv.blin@laposte.net> 1.1.10-3mdk
- fix bad version (it is really 1.1.10) (patch2)

* Tue Oct 21 2003 Olivier Blin <oliv.blin@laposte.net> 1.1.10-2mdk
- patch0: warn server if client version mismatch

* Sat Oct 18 2003 Olivier Blin <oliv.blin@laposte.net> 1.1.10-1mdk
- new version
- drop patch2 and patch3 (merged upstream)

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.9-5mdk
- update scripts to support X-treme mode

* Sun Sep 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.9-4mdk
- requires Xdialog for crack-attack-join-server
- fix buildrequires

* Fri Sep 19 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.9-3mdk
- only sleep for 1 second in Patch3, should be enough

* Wed Sep 17 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.9-2mdk
- Patch3: avoid "port is busy" when playing two times in a row the server

* Tue Sep 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.9-1mdk
- drop obsolete patch 0  
- new version

* Mon Sep 15 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.8-4mdk
- workaround Voodoo3 segfault (patch 2, disable 1d texturing for
  voodoo3 renderer)

* Fri Sep 12 2003 Olivier Blin <oliv.blin@laposte.net> 1.1.8-3mdk
- improve g++ 3.3 fixes (thanks to gc)
- use OpenGL 1.3 functions for multi-texturing

* Thu Sep 11 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.8-2mdk
- use our compile flags

* Fri Aug 22 2003 Olivier Blin <oliv.blin@laposte.net> 1.1.8-1mdk
- Initial release for Mandrake
- g++ 3.3 fixes
- Converted xpm icons to png
- Added scripts to launch crack-attack from menus (prompt for server name)
